Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.plan
Class PlanIssueRefinement

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.icore.AbstractIXObject
              ix.icore.plan.PlanObject
                  ix.icore.plan.AbstractRefinement
                      ix.icore.plan.PlanIssueRefinement

All Implemented Interfaces:
  Annotated, IXObject, java.io.Serializable

    public class PlanIssueRefinement

extends AbstractRefinement

Describes one level of the expansion of a `PlanIssue`.

See Also:
  Serialized Form

Field Summary
`protected ix.icore.plan.ListOfPlanIssue` | `planIssues`
`protected ix.icore.plan.ListOfPlanVariableDeclaration` | `planVariableDeclarations`

Fields inherited from class ix.icore.plan.AbstractRefinement
`expands, id`

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`PlanIssueRefinement()`

Method Summary
`ix.icore.plan.ListOfPlanIssue` | `getPlanIssues()`
`ix.icore.plan.ListOfPlanVariableDeclaration` | `getPlanVariableDeclarations()`
`java.util.List` | `getSubitems()`
`void` | `setPlanIssues(ix.icore.plan.ListOfPlanIssue planIssues)`
`void` | `setPlanVariableDeclarations(ix.icore.plan.ListOfPlanVariableDeclaration planVariableDeclarations)`
`void` | `setSubitems(java.util.List planIssues)`

Methods inherited from class ix.icore.plan.AbstractRefinement
`getExpands, getId, setExpands, setId`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, annMap, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, makeAnnMap, removeAnnotation, setAnnotation, setAnnotations, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ix.icore.Annotated
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, removeAnnotation, setAnnotation, setAnnotations, takeAnnotations`

Field Detail

### planVariableDeclarations

    protected ix.icore.plan.ListOfPlanVariableDeclaration planVariableDeclarations

### planIssues

    protected ix.icore.plan.ListOfPlanIssue planIssues

Constructor Detail

### PlanIssueRefinement

    public PlanIssueRefinement()

Method Detail

### getPlanVariableDeclarations

    public ix.icore.plan.ListOfPlanVariableDeclaration getPlanVariableDeclarations()

### setPlanVariableDeclarations

    public void setPlanVariableDeclarations(ix.icore.plan.ListOfPlanVariableDeclaration planVariableDeclarations)

### getPlanIssues

    public ix.icore.plan.ListOfPlanIssue getPlanIssues()

### getSubitems

    public java.util.List getSubitems()

  Specified by:
    `getSubitems` in class `AbstractRefinement`

### setPlanIssues

    public void setPlanIssues(ix.icore.plan.ListOfPlanIssue planIssues)

### setSubitems

    public void setSubitems(java.util.List planIssues)

  Specified by:
    `setSubitems` in class `AbstractRefinement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD